<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content=
        "text/html; charset=UTF-8">

        <title>CarApi - <?php echo $car->Manufacturer->Name,' ',$car->Model ?></title>
        <link rel="stylesheet" type="text/css" href="http://yui.yahooapis.com/2.4.1/build/reset-fonts-grids/reset-fonts-grids.css">
        <link rel="stylesheet" type="text/css" media="screen" href="css/design1.css">
		<script language="JavaScript" type="text/javascript" src="js/cc.js"></script>
<!--[if IE 7]>
	<link rel="stylesheet" type="text/css" href="css/ie7.css">
<![endif]-->
<!--[if lte IE 6]>
	<link rel="stylesheet" type="text/css" href="css/ie6.css">
<![endif]-->
		<link rel="stylesheet" type="text/css" media="print" href="css/design1p.css">
    </head>

    <body>
        <a class="back" href="list.php?search=<?php echo urlencode($_GET['search']); ?>">zur&uuml;ck zu den Ergebnissen</a>
        <div class="carPreview">
			<h2 class="cartitle">
                <?php
                $fullCarName = trim($car->Manufacturer->Name.' '.$car->Model.' '.$car->Smodel);
                
                
                if( isset($car->Pictures) && isset($car->Pictures->Picture) && count($car->Pictures->Picture)>0 )
                {
                    echo '<img alt="Bild" src="',$car->Pictures->Picture[0]->Preview->Href,'">';
                }
                
                echo $fullCarName;
                ?>
			</h2>
			
			<div class="carnav">
				<ol class="tabs">
					<li><a href="view.php?site=overview&amp;cid=<?php echo $car->Id ?>&search=<?php echo urlencode($_GET['search']); ?>">&Uuml;bersicht</a></li>
					<li class="active"><a href="view.php?site=details&amp;cid=<?php echo $car->Id ?>&search=<?php echo urlencode($_GET['search']); ?>">Details</a></li>
                    <?php if( isset($car->Pictures) && isset($car->Pictures->Picture)  && count($car->Pictures->Picture)>0 ){ ?>
					<li><a href="view.php?site=pics&amp;cid=<?php echo $car->Id ?>&search=<?php echo urlencode($_GET['search']); ?>">Bilder</a></li>
                    <?php } ?>
				</ol>
			</div>
			
			<div class="carcontent">

				<!-- Zahlen Start -->
				<div class="shortNumbers contentBlock">
					<h3><?php echo $CCAPI_LANG['karo'][ $car->FullCategory ] ?>, <?php echo $CCAPI_LANG['type'][$car->Type] ?></h3>
					<div>
						<span class="legend">Preis <?php if($car->Price->Vat==1){ ?><span class="small">(MwSt. ausweisbar.)</span><?php } ?>:</span>
						<span class="value"><?php echo number_format($car->Price->Client,2,',','.') ?> EUR</span>
					</div>
					
					<div>
						<span class="legend">Kilometerstand:</span>
						<span class="value"><?php echo formatKM($car->Km) ?></span>
					</div>
					
					<div>
						<span class="legend">Leistung:</span>
						<span class="value"><?php echo formatKW($car->Power) ?></span>
					</div>
					
					<div>
						<span class="legend">Kraftstoffart:</span>
						<span class="value"><?php echo $CCAPI_LANG['fuel'][$car->Fuel] ?></span>
					</div>
					<?php
					if(
            			$car->FuelConsumption->Combined!=0 &&
                        $car->FuelConsumption->City!=0 &&
                        $car->FuelConsumption->Country!=0 &&
                        $car->Co2!=0
                    ) {
					?>
					<div>
						<span class="legend">Kraftstoffverbr. kombiniert:</span>
						<span class="value">ca. <?php echo number_format($car->FuelConsumption->Combined,1,',','.') ?> l/100km</span>
					</div>
					
					<div>
						<span class="legend">Kraftstoffverbr. innerorts:</span>
						<span class="value">ca. <?php echo number_format($car->FuelConsumption->City,1,',','.') ?> l/100km</span>
					</div>
					
					<div>
						<span class="legend">Kraftstoffverbr. au&szlig;erorts:</span>
						<span class="value">ca. <?php echo number_format($car->FuelConsumption->Country,1,',','.') ?> l/100km</span>
					</div>
					
					<div>
						<span class="legend">CO2-Emissionen kombiniert:</span>
						<span class="value">ca. <?php echo number_format($car->Co2,0,',','.') ?> g/km</span>
					</div>
					<?php
                    }
					?>
                    
                    <div>
                        <span class="legend">Getriebe:</span>
                        <span class="value"><?php echo $CCAPI_LANG['gearbox'][$car->Gearbox] ?></span>
                    </div>
                    
                    <div>
                        <span class="legend">Schadstoffklasse:</span>
                        <span class="value"><?php echo $CCAPI_LANG['sskl'][$car->Emissionstd]; ?></span>
                    </div>
                    
					<div>
						<span class="legend">Erstzulassung:</span>
						<span class="value"><?php echo formatEZ($car->RegDate) ?></span>
					</div>
                    
                    <div>
                        <span class="legend">Farbe:</span>
                        <span class="value"><?php echo ucfirst($CCAPI_LANG['colors'][ intval($car->Color->External) ]) ?></span>
                    </div>
                    
                    <div>
                        <span class="legend">Verf&uuml;gbar ab:</span>
                        <span class="value">
                           <?php
                           $date = $car->DeliveryDate;
                           $days = $car->DeliveryDays;
                           
                           if( $days==0 && $date=='0000-00-00' )
                           {
                               $text = 'ab Sofort';
                           }
                           elseif( $date!='0000-00-00' )
                           {
                               $parts = explode('-',$date);
                               
                               $mkDate = mktime(12,0,0,$parts[1],$parts[2],$parts[0]);
                               $text = 'ab '.date('d.m.Y',$mkDate);
                           }
                           elseif ( $days>0 )
                           {
                               if( $days % 7 == 0 && $days>7 )
                               {
                                   $text = intval($days/7).' Wochen';
                               }
                               elseif( $days % 30 == 0 && $days>30 )
                               {
                                   $text = intval($days/30).' Monate';
                               }
                               else
                               {
                                   $text = intval($days).' Tage';
                               }
                               
                           }
                           
                           
                           
                           
                           echo $text;
                           ?>
                        </span>
                    </div>
				</div>
				<!-- / Zahlen Ende -->
				
			
				<!-- Ausstattung Start -->
				<div class="shortAccs contentBlock">
					<h4>Ausstattung:</h4>
					<div>
                        <?php
                        
                        $text = formatAccs($car->AccsList->Accs,$CCAPI_LANG);
                        echo $text;
                        
                        if( isset($car->OAccsList) && isset($car->OAccsList->OAccs) && count($car->OAccsList->OAccs)>0 )
                        {
                            echo '<br />';
                            echo implode(', ',$car->OAccsList->OAccs);
                        }

                        ?>
					</div>
				</div>
				<!-- / Ausstattung Ende -->
				
			
				<!-- Beschreibung Start -->
				<div class="shortDescr contentBlock">
                    <?php
                    
                    $text = '';
                    if( $car->Freetext->Default!='' || $car->Freetext->Hpm!='' )
                    {
                        // Default Text
                        if( $car->Freetext->Default!='' )
                        {
                            $text.= $car->Freetext->Default;
                        }
                        
                        // HPM Text
                        if( $car->Freetext->Hpm!='' )
                        {
                            $text.= ' '.$car->Freetext->Hpm;
                        }
                        
                        $text = trim($text);
                    }
                    
                    if( $text!='' )
                    {
                        echo '					<h4>Fahrzeugbeschreibung:</h4>
				<div>';
                        echo $text;
                        echo '</div>';
                    }
                    
                    // ABS, Allradantrieb, Einparkhilfe, El. Fensterheber, El. Wegfahrsperre, Garantie, HU & AU neu, Lederausstattung, Leichtmetallfelgen, Metallic, Navigationssystem, Scheckheftgepflegt, Schiebedach, Sitzheizung, Stabilit&auml;tskontrolle, Tempomat, Xenonscheinwerfer, Zentralverriegelung
                    ?>
				</div>
				<!-- / Beschreibung Ende -->
	
				<div id="tools">
					<a href="#tools" onclick="print();" class="print">Drucken</a>
				</div>
			</div>
        </div>
    </body>
</html>
