<?php
require 'miniweblib.php';
require 'translate.php';

if( $_SERVER['REQUEST_METHOD']=='POST' )
{
    // vehicle gesetzt
    if( !array_key_exists('cid',$_POST) )
    {
        header('search.php');
        exit();
    }

    // suche gesettz
    if( !array_key_exists('search',$_POST) )
    {
        header('search.php');
        exit();
    }

    try
    {

        $filter = new stdClass();
        $filter->BaseValue = new stdClass();
        $filter->BaseValue->Id = intval($_POST['cid']);

        $filter->MinValue = new stdClass();
        $filter->MaxValue = new stdClass();

        $limit = 1;
        $carData = cachedViewCar( array( $filter , array() , 0 , $limit , 'Price.Client' , 'ASC' ) , $client );

        $eol = "\n";

        $car = $carData->Vehicle[0];
        $fullCarName = trim($car->Manufacturer->Name.' '.$car->Model.' '.$car->Smodel);

        $text = "";
        $text.= "Kundenanfrage zu einem Fahrzeug \n";
        $text.= "\n\n\n\n";
        $text.= "Kundendaten: \n";
        $text.= "Name: {$_POST['adress']} {$_POST['name']} \n";
        $text.= "E-Mail: {$_POST['email']} \n";
        $text.= "Telefon {$car->Id} \n";

        $text.= "\n\n\n\n";
        $text.= "Fahrzeugdaten: \n";
        $text.= "ID: {$car->Id} \n";
        $text.= "Hersteller: {$car->Manufacturer->Name} \n";
        $text.= "Model: {$car->Model} \n";
        $text.= "Sondermodel: {$car->Smodel} \n";

        $text.= "\n\n\n\n";
        $text.= "Kundensuche: \n";
        $text.= "Suchcode: ".preg_replace('/\s\s+/', '', $_POST['search'])."\n";

        $thisSearchKey = $_POST['search'];
        $text.= 'http://'.$_SERVER['HTTP_HOST'].dirname($_SERVER['SCRIPT_NAME']).'/search.php?search='.preg_replace('/\s\s+/', '', $_POST['search']);


        $mailHeader = array();
        $mailHeader['User-Agent'] = 'CarApi Website 1.0';
        $mailHeader['X-CarCopy-Cid'] = intval($_POST['cid']);
        $mailHeader['X-CarCopy-Search'] = preg_replace('/\s\s+/', '', $_POST['search']);
        $mailHeader['Message-ID'] = "<".sha1(time().$_POST['cid'].$_POST['search'])."-".$_POST['email'].">".$eol;
        $mailHeader['From'] = '"'.$_POST['name'].'" <'.preg_replace('/\s\s+/', '', $_POST['email']).'>';


        $strHeaders = generateMailHeader($mailHeader);
        mail( $kundenMailAdresse , 'Kundenanfrage: '.$fullCarName , $text , $strHeaders );

        header('Location: http://'.$_SERVER['HTTP_HOST'].'/'.dirname($_SERVER['SCRIPT_NAME']).'/view.php?site=overview&cid='.$_POST['cid'].'&search='.preg_replace('/\s\s+/', '', $_POST['search']).'&mail=true');

        //var_dump( $_REQUEST , $mailHeader );
    }
    catch (Exception $e)
    {
        echo '';
    }
}
else
{
    //var_dump( $_REQUEST );
    header('Location: http://'.$_SERVER['HTTP_HOST'].'/'.dirname($_SERVER['SCRIPT_NAME']).'/search.php');
}
?>